
Ceph - Bug #5038

krbd: fix parent request size assumption

05/13/2013 07:53 AM - Alex Elder

Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee: Alex Elder   

Category:    

Target version:    

Source: other Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

When Josh was reviewing a recent kernel rbd patch he pointed

out that a variable named "obj_size" was misleading because it

might not reflect the full size of an object (because it could

be clipped by parent_overlap).

That highlighted an underlying problem--that the code was

assuming the size of a "full" parent read request was the

size of a complete object, without taking the parent_overlap

into account.

This needs to be fixed.

History

#1 - 05/13/2013 12:09 PM - Alex Elder

- Status changed from In Progress to Fix Under Review

The following has been posted for review:

[PATCH] rbd: fix parent request size assumption

#2 - 05/16/2013 08:15 AM - Alex Elder

- Status changed from Fix Under Review to Resolved

The following was committed to the ceph-client "testing" branch:

ebda6408 rbd: fix parent request size assumption
